<template>
	<div :id="id" :class="$style.banner" :style="{ backgroundColor, color: copyColor }">
		<h2 :class="{ [$style.hasDescriptionBelow]: subheading }">{{ heading }}</h2>
		<h3 v-if="subheading">{{ subheading }}</h3>
	</div>
</template>

<script>
export default {
	props: {
		id: {
			type: String,
			default: null,
		},

		heading: {
			type: String,
			default: '',
		},

		subheading: {
			type: String,
			default: '',
		},

		backgroundColor: {
			type: String,
			default: '',
		},

		copyColor: {
			type: String,
			default: '',
		},
	},
};
</script>

<style lang="scss" module>
@import '@design';

.banner {
	padding: 4.7rem 0;

	h2 {
		@include use-text-style('heading-200');

		font-family: font-family('secondary');
		font-weight: 300;
		text-align: center;

		&.hasDescriptionBelow {
			margin: 0 0 0.25em;
		}
	}

	h3 {
		@include use-text-style('type-200');

		font-weight: 300;
		line-height: 1.6;
		text-align: center;
		white-space: pre-line;

		@include above('medium') {
			@include use-text-style('heading-100');

			white-space: normal;
		}
	}
}
</style>
